# $Revision: 1.49 $, $Date: 2010/04/10 17:33:57 $
Summary:	OpenSLP implementation of Service Location Protocol V2
Summary(de.UTF-8):	Open source Implementierung des Service Location Protocols V2
Summary(es.UTF-8):	Implementación open source del Service Location Protocol V2
Summary(fr.UTF-8):	Implémentation Open Source du Service Location Protocol V2
Summary(it.UTF-8):	Implementazione open source del Service Location Protocol V2
Summary(pl.UTF-8):	Otwarta implementacja Service Location Protocol V2
Summary(pt.UTF-8):	Implementação 'open source' do protocolo Service Location Protocol V2
Name:		openslp
# note: 1.3.0 is "development" release _equal_ to 1.2.0
Version:	1.2.1
Release:	4
License:	LGPL
Group:		Networking/Daemons
Source0:	http://dl.sourceforge.net/openslp/%{name}-%{version}.tar.gz
# Source0-md5:	ff9999d1b44017281dd00ed2c4d32330
Source1:	%{name}.init
Patch0:		%{name}-opt.patch
URL:		http://www.openslp.org/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	openssl-devel >= 0.9.7d
BuildRequires:	rpmbuild(macros) >= 1.268
Obsoletes:	libopenslp1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sysconfdir		/etc/openslp

%description
Service Location Protocol is an IETF standards track protocol that
provides a framework to allow networking applications to discover the
existence, location, and configuration of networked services in
enterprise networks.

OpenSLP is an open source implementation of the SLPv2 protocol as
defined by RFC 2608 and RFC 2614. This package includes libraries.

%description -l de.UTF-8
Das Service Location Protocol ist ein IETF standard Protokoll welches
ein Gerüst bereitstellt um es Netzwerk-fähigen Anwendungen zu
ermöglichen die Existenz, den Ort und die Konfiguration von
Netzwerkdiensten in Unternehmensnetzwerken zu entdecken.

%description -l es.UTF-8
El Protocolo de Localización de Servicios es un protocolo de
seguimiento acorde al estándar IETF que proporciona un entorno para
permitir a las aplicaciones de red descubrir la existencia,
localización y configuración de servicios de red en redes
empresariales.

%description -l fr.UTF-8
Service Location Protocol est un protocole de suivi des normes IETF
qui fournit un cadre permettant à des applications réseau de découvrir
l'existence, l'emplacement et la configuration de services de réseau
dans les réseaux d'entreprise.

%description -l it.UTF-8
Il Service Location Protocol (protocollo di localizzazione di servizi)
è un protocollo standard IETF che fornisce un'infrastruttura per
permettere alle applicazioni di rete di scoprire l'esistenza, la
localizzazione e la configurazione dei servizi nelle reti delle
aziende.

%description -l pl.UTF-8
Service Location Protocol jest zgodnym ze standardem IETF protokołem
pozwalającym aplikacjom sieciowym na badanie istnienia, położenia i
konfiguracji usług sieciowych.

OpenSLP jest otwartą implementacją protokołu SLPv2 zdefiniowanego w
RFC 2608 i RFC 2614. Ten pakiet zawiera biblioteki.

%description -l pt.UTF-8
O Service Location Protocol é um protocolo normalizado pelo IETF que
oferece uma plataforma para permitir às aplicações de rede que
descubram a existência, localização e a configuração dos serviços de
rede nas redes duma empresa.

%package server
Summary:	OpenSLP server working as SA and DA
Summary(pl.UTF-8):	Serwer OpenSLP działający jako SA i DA
Group:		Networking/Daemons
Requires(post,preun):	/sbin/chkconfig
Requires:	%{name} = %{version}-%{release}
Requires:	rc-scripts

%description server
Service Location Protocol is an IETF standards track protocol that
provides a framework to allow networking applications to discover the
existence, location, and configuration of networked services in
enterprise networks.

OpenSLP is an open source implementation of the SLPv2 protocol as
defined by RFC 2608 and RFC 2614. This package includes the daemon.

%description server -l pl.UTF-8
Service Location Protocol jest zgodnym ze standardem IETF protokołem
pozwalającym aplikacjom sieciowym na badanie istnienia, położenia i
konfiguracji usług sieciowych.

OpenSLP jest otwartą implementacją protokołu SLPv2 zdefiniowanego w
RFC 2608 i RFC 2614. Ten pakiet zawiera demona.

%package devel
Summary:	OpenSLP development files
Summary(pl.UTF-8):	Część OpenSLP dla programistów
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	openssl-devel >= 0.9.7c
Obsoletes:	libopenslp1-devel

%description devel
OpenSLP development files.

%description devel -l pl.UTF-8
Pliki nagłówkowe OpenSLP.

%package static
Summary:	OpenSLP static libraries
Summary(pl.UTF-8):	Biblioteki statyczne OpenSLP
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
OpenSLP static libraries.

%description static -l pl.UTF-8
Biblioteki statyczne OpenSLP.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--enable-slpv1 \
	--enable-slpv2-security \
	--disable-predicates

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/{rc.d/init.d,sysconfig}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/slpd

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%post server
/sbin/chkconfig --add slpd
%service slpd restart "OpenSLP server"

%preun server
if [ "$1" = "0" ]; then
	%service slpd stop
	/sbin/chkconfig --del slpd
fi

%files
%defattr(644,root,root,755)
%doc AUTHORS NEWS README
%dir %{_sysconfdir}
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/slp.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/slp.reg
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/slp.spi
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/lib*.so.*.*

%files server
%defattr(644,root,root,755)
%attr(754,root,root) /etc/rc.d/init.d/slpd
%attr(755,root,root) %{_sbindir}/slpd

%files devel
%defattr(644,root,root,755)
%doc doc/*
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/*

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: openslp.spec,v $
Revision 1.49  2010/04/10 17:33:57  arekm
- release 4

Revision 1.48  2008/07/27 22:24:49  arekm
- release 3

Revision 1.47  2007-02-13 07:16:51  glen
- tabs in preamble

Revision 1.46  2007/02/12 00:49:17  baggins
- converted to UTF-8

Revision 1.45  2006/08/06 08:48:53  cieciwa
- release 2.

Revision 1.44  2006/03/12 22:45:47  glen
- use %service, adapterized

Revision 1.43  2005/08/15 09:55:04  qboosh
- updated to 1.2.1 (multiple bugfixes)
- updated opt patch, removed obsolete fix patch

Revision 1.42  2004/03/19 23:46:31  ankry
- massive change: BR openssl-devel >= 0.9.7d

Revision 1.41  2004/02/29 20:25:12  qboosh
- updated to 1.2.0 (not 1.3.0 - they are identical now and I think that 1.2.x
  will be stable branch and 1.3.x devel)
- added fix patch for buggy slpv2-security code
- -devel R: openssl-devel

Revision 1.40  2003/10/01 07:28:16  qboosh
- fixed double "c" addition

Revision 1.39  2003/09/30 20:18:28  eothane
- ahh, what the hell: openssl 0.9.7c

Revision 1.38  2003/09/30 19:32:17  eothane
- openssl 0.9.7c
- next release

Revision 1.37  2003/05/25 11:00:56  malekith
- massive attack, adding Source-md5

Revision 1.36  2003/05/25 06:24:32  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.35  2003/05/02 11:40:08  ankry
- rel. 3

Revision 1.34  2003/04/19 04:24:06  kloczek
- added libopenslp1{,--devel} to Obsoletes for allou upgrade from MDK.

Revision 1.33  2003/04/18 00:07:09  qboosh
- added opt patch: don't override opts with -O3, kill unnecessary -lnsl -lresolv
- changed Requires(): rc-scripts to PreReq (needed not only during installation)

Revision 1.32  2003/04/17 16:21:32  wiget
- move deamon to subpackage
- move nondevelopment doc to main package
- release 2

Revision 1.31  2003/04/15 09:29:52  wiget
- updated 1.0.11

Revision 1.30  2003/04/08 13:28:38  qboosh
- use http for sources from sourceforge

Revision 1.29  2003/02/13 14:03:36  juandon
- force to use openssl >= 0.9.7, idea by kloczek

Revision 1.28  2002/11/27 22:06:26  juandon
- new %%doc

Revision 1.27  2002/11/25 14:17:48  ankry
- massive attack: no need for 755 for *.la

Revision 1.26  2002/10/09 13:14:42  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.25  2002/06/23 20:32:33  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.24  2002/05/21 23:14:19  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.23  2002/05/16 10:48:05  ankry
- version 1.0.9, release 1
- removed obsolete patch
- STBR

Revision 1.22  2002/03/24 23:28:23  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.21  2002/02/23 04:17:25  kloczek
- adapterized.

Revision 1.20  2002/02/22 23:29:21  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.19  2002/02/02 00:54:37  kloczek
- updated to 1.0.7 (new feactures) nad added ac_fixes patch.

Revision 1.18  2002/01/18 02:14:07  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.17  2001/12/14 15:46:47  kloczek
- updated to 1.0.6 (minor changes and some fixes).

Revision 1.16  2001/11/24 08:26:24  kloczek
- updated to 1.0.5.

Revision 1.15  2001/10/29 20:51:45  kloczek
- updated to 1.0.4.

Revision 1.14  2001/10/11 02:21:35  kloczek
- updated to 1.0.3,
- removed obsoleted am15 patch (aplayed by maintainer in current version).

Revision 1.13  2001/09/25 11:27:30  qboosh
- Prereq: /sbin/chkconfig
- pl translations
- release 2

Revision 1.12  2001/09/15 11:54:11  kloczek
- added am15 patch.

Revision 1.11  2001/09/14 05:59:21  kloczek
- removed Patch0.

Revision 1.10  2001/09/14 05:30:48  kloczek
- updated to 1.0.2,
- removed ac25x patch which was aplayed to this version by maintainer.

Revision 1.9  2001/08/11 18:36:21  kloczek
- Groups to static are back.

Revision 1.8  2001/08/11 18:34:46  kloczek
- ops merge also Summaries.

Revision 1.7  2001/08/11 18:33:17  kloczek
- merge translations from Caldera spec file.

Revision 1.6  2001/08/11 18:20:58  kloczek
- added missing openssl-devel to BuildRequires.

Revision 1.5  2001/08/11 18:19:38  kloczek
- updated to 1.0.1,
- added devel and static subpackages,
- added ac25x patch (patch posted to maintainer) and regenerate ac/am/lt files
  (spec is ac 2.5x ready),
- rewrited init script.
NOTE: seems this version can now be used for some experiments :)

Revision 1.4  2001/07/26 05:42:22  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.2  2001/05/30 05:34:45  kloczek
- rewrited but still NYF.
